@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@200;500;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@300;500;700&display=swap');

:root {
    --typescale: 1;
    --border-radius-shaded: 3px;
    --box-shaded: 0px 0px 3px 2px rgba(0, 0, 0, 0.175), 2px 0px 6px 4px rgba(0, 0, 0, 0.1), 0px 2px 9px 6px rgba(0, 0, 0, 0.075);
    --text-shade: 0px 4px 3px rgba(0, 0, 0, 0.4), 0px 8px 13px rgba(0, 0, 0, 0.1), 0px 18px 23px rgba(0, 0, 0, 0.1);
    --bkg-grad-nature: linear-gradient(0deg, #8ed758, #0f97d7, #077fab);
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Lexend', sans-serif;
    font-weight: 200;
    font-size: 16px;
}

.wrapper {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.card, .book {
    border-radius: var(--border-radius-shaded);
    box-shadow: var(--box-shaded);
}

.container-banner,
.container-header,
.container-cta,
.container-footer {
    width: 100%;
}

header, .banner, .cta, footer {
    display: flex;
    justify-content: space-between;
    max-width: 1110px;
    margin-left: auto;
    margin-right: auto;
}

.container-cta {
    padding: 1em;
    display: flex;
    align-content: center;
    justify-content: center;
    flex: 1;
}

.container-footer {
    background-color: #002142;
    padding: 2em 1em;
    margin-top: 2em;
    flex: 1;
}

footer {
    background-color: #002142;
    color: #fefefe;
    text-shadow: var(--text-shade);
    display: flex;
    padding: .5em;
}

.col20 {
    width: 20%;
    font-size: .8em;
    color: #fefefe;
}

footer p {
    line-height: 1.6em;
    margin-top: 3.2em;
}

.last-col {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.row1 {
    flex: 1;
}

.main {
    margin: 0;
    padding: 0;
    background-color: #fefefe;
    overflow: hidden;
}

.logo {
    width: 208px;
    padding: 1.2em 0;
}

ul {
    list-style: none;
}

.container-header {
    background-color: #004f71;
}

header {
    padding: .125em 0;
    background-color: #004f71;
    align-items: center;
    flex: 1;
}

.container-banner {
    background-image: linear-gradient(270deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.15) 100%), url("../img/Booklet Mockup sp.jpg");
    background-size: cover;
    background-position: center left;
}

.banner {
    min-height: 600px;
    display: flex;
    color: #fff;
    text-shadow: var(--text-shade);
}

.col1, .col2 {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.col2 {
    padding: 2em;
}

.book-div {
    margin: auto;
}

.book {
    max-width: 250px;
    margin-left: auto;
    margin-right: auto;
}

.book::after {
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: -webkit-gradient(linear, left top, right top, from(rgba(0, 0, 0, 0.3)), color-stop(1%, rgba(255, 255, 255, 0)), color-stop(2.5%, rgba(250, 250, 250, 0.23)), color-stop(3.4%, rgba(0, 0, 0, 0.1)), color-stop(4.2%, rgba(250, 250, 250, 0.1)), color-stop(5.6%, rgba(0, 0, 0, 0.1)), color-stop(6.8%, rgba(250, 250, 250, 0.2)), color-stop(25%, transparent), color-stop(30%, transparent), to(rgba(0, 0, 0, 0.2)));
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.3) 0%, rgba(255, 255, 255, 0) 1%, rgba(250, 250, 250, 0.23) 2.5%, rgba(0, 0, 0, 0.1) 3.4%, rgba(250, 250, 250, 0.1) 4.2%, rgba(0, 0, 0, 0.1) 5.6%, rgba(250, 250, 250, 0.2) 6.8%, transparent 25%, transparent 30%, rgba(0, 0, 0, 0.2) 100%);
}

h1 {
    font-family: Oswald, sans-serif;
    line-height: 1.2em;
    font-size: 3em;
    letter-spacing: -0.03em;
    margin: 1.5em 0 1em;
}

h5 {
    font-weight: 400;
    font-size: 1.2em;
    line-height: 1.2em;
    max-width: 50ch;
    margin-bottom: 1.6em;
}

.button-cta {
    font-family: Oswald, sans-serif;
    text-transform: uppercase;
    top: 2em;
    color: #fff;
    background-color: #144e3d;
    box-shadow: var(--box-shaded);
    text-shadow: var(--text-shade);
    border-radius: 3px;
    font-size: 1.3em;
    font-weight: bold;
    padding: .8em 1.6em;
    text-decoration: none;
    white-space: nowrap;
    margin: auto auto 3em 0;
}

.button-cta:hover {
    color: #fff;
    background-color: #f58628;
    cursor: pointer;
}

@media only screen and (max-width: 780px) {
    .banner .col1 {
        display: none;
    }

    .col2 {
        width: 90%;
        margin-left: auto;
        margin-right: auto;
    }

    .cta {
        flex-direction: column;
        align-content: space-between;
    }

    div.cta .col1,
    div.cta .col2 {
        /* display: inline; */
        justify-content: space-around;
        width: 100%;
    }

    .button-cta {
        margin-left: auto;
        margin-right: auto;
    }

    h1 {
        font-size: 2em;
        line-height: 2em;
    }

    footer {
        flex-direction: column;
        /* align-items: center; */
    }

    footer p {
        width: 100%;
        text-align: center;
    }

    .col20 {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .footer-logo {
        width: 100%;
    }
}